{% extends "layout.html" %}
{% block content %}
    
    
    
    {% for post in posts %}
        
        <div class="row">
        <div class="col-md-8">
             <h3>Picture</h3>
        <p>
            {% if post.urlToImage %}
                    <img style='height: 60%; width: 80%; object-fit: contain' src="{{ post.urlToImage }}">
            {% else %}
            <a>No image</a>
            {% endif %}
        </p>
            {% for comm in post.comments %}
            <p><b>{{ comm.dateModified }} </b> <a>{{ comm.comment }}</a></p>
            {% endfor %}
            <form action="{{ url_for('home') }}" method="post">
                Add comment: <input type="text" name="comment" title = "{{ post._id }}" ><br>
                <input type="hidden" name="id" value="{{ post._id }}">
                <input type="submit" value="Add">
            </form>


            </form>

        </div>

        <div class="col-md-4">
          <div class="content-section">

            <article class="media content-section">
              <div class="media-body">
                <div class="article-metadata">
                  <a class="mr-2" href="#">{{ post.author }}</a>
                </div>
                <h2><a class="article-title" href="#">{{ post.title }}</a></h2>
                <p class="article-content">{{ post.description }}</p>
              </div>
            </article>


          </div>
        </div>
      </div>
        
        
        
    {% endfor %}
{% endblock content %}